Configurable (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.conf, interface: Configurable

Package org.apache.hadoop.conf

# Interface Configurable

All Known Subinterfaces:
  `ImpersonationProvider`, `Tool`

All Known Implementing Classes:
  `AbstractDNSToSwitchMapping`, `AbstractMapWritable`, `AccessTokenProvider`, `AdlFileSystem`, `AvroReflectSerialization`, `AvroSerialization`, `AvroSpecificSerialization`, `AzureManifestCommitterFactory`, `BinaryPartitioner`, `BinaryPartitioner`, `BZip2Codec`, `CachedDNSToSwitchMapping`, `ChecksumFileSystem`, `CLI`, `Client`, `CompositeRecordReader`, `CompositeRecordReader`, `ConfCredentialBasedAccessTokenProvider`, `Configured`, `ConfRefreshTokenBasedAccessTokenProvider`, `CredentialBasedAccessTokenProvider`, `DataDrivenDBInputFormat`, `DBInputFormat`, `DBInputFormat`, `DefaultCodec`, `DefaultImpersonationProvider`, `DistCp`, `EnumSetWritable`, `FileSystem`, `FileSystemImage`, `FilterFileSystem`, `FixedBlockMultiReplicaResolver`, `FixedBlockResolver`, `FTPFileSystem`, `GenericWritable`, `GzipCodec`, `InMemoryAliasMap`, `InnerJoinRecordReader`, `InnerJoinRecordReader`, `InputSampler`, `InputSampler`, `JobClient`, `JoinRecordReader`, `JoinRecordReader`, `KeyFieldBasedComparator`, `KeyFieldBasedComparator`, `KeyFieldBasedPartitioner`, `KeyFieldBasedPartitioner`, `LevelDBFileRegionAliasMap`, `LocalFileSystem`, `LogsCLI`, `ManifestCommitterFactory`, `MapWritable`, `MultiFilterRecordReader`, `MultiFilterRecordReader`, `NativeAzureFileSystem`, `ObjectWritable`, `OracleDataDrivenDBInputFormat`, `OuterJoinRecordReader`, `OuterJoinRecordReader`, `OverrideRecordReader`, `OverrideRecordReader`, `PassthroughCodec`, `PathOutputCommitterFactory`, `RawLocalFileSystem`, `RecordComparator`, `ResourceCalculatorProcessTree`, `SchedConfCLI`, `ScriptBasedMapping`, `SingleUGIResolver`, `SocksSocketFactory`, `SortedMapWritable`, `Submitter`, `TableMapping`, `TextFileRegionAliasMap`, `TotalOrderPartitioner`, `TotalOrderPartitioner`, `Trash`, `TrashPolicy`, `ViewFileSystem`, `WrappedRecordReader`, `WritableComparator`, `WritableSerialization`

@Public @Stable public interface Configurable
Something that may be configured with a `Configuration`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Configuration`
  `getConf()`
  Return the configuration used by this object.
  `void`
  `setConf(Configuration conf)`
  Set the configuration to be used by this object.

- ## Method Details

  - ### setConf

    void setConf(Configuration conf)
    Set the configuration to be used by this object.
    Parameters:
      `conf` - configuration to be used

  - ### getConf

    Configuration getConf()
    Return the configuration used by this object.
    Returns:
      Configuration